import request from '@/utils/request'

// 查询对外接口调用配置列表
export function listForeign(query) {
  return request({
    url: '/system/foreign/list',
    method: 'get',
    params: query
  })
}

// 查询对外接口调用配置详细
export function getForeign(id) {
  return request({
    url: '/system/foreign/' + id,
    method: 'get'
  })
}

// 新增对外接口调用配置
export function addForeign(data) {
  return request({
    url: '/system/foreign',
    method: 'post',
    data: data
  })
}

// 修改对外接口调用配置
export function updateForeign(data) {
  return request({
    url: '/system/foreign/put',
    method: 'post',
    data: data
  })
}

// 删除对外接口调用配置
export function delForeign(id) {
  return request({
    url: '/system/foreign/delete' + id,
    method: 'get'
  })
}
